Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network67.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
67.0.0.0
Broadcast address
67.255.255.255
First usable
67.0.0.1
Last usable
67.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 43000000 · Integer 1124073472 to 1140850687
Reverse DNS zone
67.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000011..00000000.00000000.0000000067.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01000011..00000000.00000000.0000000067.0.0.0
Broadcast01000011..11111111.11111111.1111111167.255.255.255
Split into smaller subnets/18

67.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
167.0.0.0/1867.0.0.1 to 67.0.63.25467.0.63.25516,382
267.0.64.0/1867.0.64.1 to 67.0.127.25467.0.127.25516,382
367.0.128.0/1867.0.128.1 to 67.0.191.25467.0.191.25516,382
467.0.192.0/1867.0.192.1 to 67.0.255.25467.0.255.25516,382
567.1.0.0/1867.1.0.1 to 67.1.63.25467.1.63.25516,382
667.1.64.0/1867.1.64.1 to 67.1.127.25467.1.127.25516,382
767.1.128.0/1867.1.128.1 to 67.1.191.25467.1.191.25516,382
867.1.192.0/1867.1.192.1 to 67.1.255.25467.1.255.25516,382
967.2.0.0/1867.2.0.1 to 67.2.63.25467.2.63.25516,382
1067.2.64.0/1867.2.64.1 to 67.2.127.25467.2.127.25516,382
1167.2.128.0/1867.2.128.1 to 67.2.191.25467.2.191.25516,382
1267.2.192.0/1867.2.192.1 to 67.2.255.25467.2.255.25516,382
1367.3.0.0/1867.3.0.1 to 67.3.63.25467.3.63.25516,382
1467.3.64.0/1867.3.64.1 to 67.3.127.25467.3.127.25516,382
1567.3.128.0/1867.3.128.1 to 67.3.191.25467.3.191.25516,382
1667.3.192.0/1867.3.192.1 to 67.3.255.25467.3.255.25516,382
1767.4.0.0/1867.4.0.1 to 67.4.63.25467.4.63.25516,382
1867.4.64.0/1867.4.64.1 to 67.4.127.25467.4.127.25516,382
1967.4.128.0/1867.4.128.1 to 67.4.191.25467.4.191.25516,382
2067.4.192.0/1867.4.192.1 to 67.4.255.25467.4.255.25516,382
2167.5.0.0/1867.5.0.1 to 67.5.63.25467.5.63.25516,382
2267.5.64.0/1867.5.64.1 to 67.5.127.25467.5.127.25516,382
2367.5.128.0/1867.5.128.1 to 67.5.191.25467.5.191.25516,382
2467.5.192.0/1867.5.192.1 to 67.5.255.25467.5.255.25516,382
2567.6.0.0/1867.6.0.1 to 67.6.63.25467.6.63.25516,382
2667.6.64.0/1867.6.64.1 to 67.6.127.25467.6.127.25516,382
2767.6.128.0/1867.6.128.1 to 67.6.191.25467.6.191.25516,382
2867.6.192.0/1867.6.192.1 to 67.6.255.25467.6.255.25516,382
2967.7.0.0/1867.7.0.1 to 67.7.63.25467.7.63.25516,382
3067.7.64.0/1867.7.64.1 to 67.7.127.25467.7.127.25516,382
3167.7.128.0/1867.7.128.1 to 67.7.191.25467.7.191.25516,382
3267.7.192.0/1867.7.192.1 to 67.7.255.25467.7.255.25516,382
3367.8.0.0/1867.8.0.1 to 67.8.63.25467.8.63.25516,382
3467.8.64.0/1867.8.64.1 to 67.8.127.25467.8.127.25516,382
3567.8.128.0/1867.8.128.1 to 67.8.191.25467.8.191.25516,382
3667.8.192.0/1867.8.192.1 to 67.8.255.25467.8.255.25516,382
3767.9.0.0/1867.9.0.1 to 67.9.63.25467.9.63.25516,382
3867.9.64.0/1867.9.64.1 to 67.9.127.25467.9.127.25516,382
3967.9.128.0/1867.9.128.1 to 67.9.191.25467.9.191.25516,382
4067.9.192.0/1867.9.192.1 to 67.9.255.25467.9.255.25516,382
4167.10.0.0/1867.10.0.1 to 67.10.63.25467.10.63.25516,382
4267.10.64.0/1867.10.64.1 to 67.10.127.25467.10.127.25516,382
4367.10.128.0/1867.10.128.1 to 67.10.191.25467.10.191.25516,382
4467.10.192.0/1867.10.192.1 to 67.10.255.25467.10.255.25516,382
4567.11.0.0/1867.11.0.1 to 67.11.63.25467.11.63.25516,382
4667.11.64.0/1867.11.64.1 to 67.11.127.25467.11.127.25516,382
4767.11.128.0/1867.11.128.1 to 67.11.191.25467.11.191.25516,382
4867.11.192.0/1867.11.192.1 to 67.11.255.25467.11.255.25516,382
4967.12.0.0/1867.12.0.1 to 67.12.63.25467.12.63.25516,382
5067.12.64.0/1867.12.64.1 to 67.12.127.25467.12.127.25516,382
5167.12.128.0/1867.12.128.1 to 67.12.191.25467.12.191.25516,382
5267.12.192.0/1867.12.192.1 to 67.12.255.25467.12.255.25516,382
5367.13.0.0/1867.13.0.1 to 67.13.63.25467.13.63.25516,382
5467.13.64.0/1867.13.64.1 to 67.13.127.25467.13.127.25516,382
5567.13.128.0/1867.13.128.1 to 67.13.191.25467.13.191.25516,382
5667.13.192.0/1867.13.192.1 to 67.13.255.25467.13.255.25516,382
5767.14.0.0/1867.14.0.1 to 67.14.63.25467.14.63.25516,382
5867.14.64.0/1867.14.64.1 to 67.14.127.25467.14.127.25516,382
5967.14.128.0/1867.14.128.1 to 67.14.191.25467.14.191.25516,382
6067.14.192.0/1867.14.192.1 to 67.14.255.25467.14.255.25516,382
6167.15.0.0/1867.15.0.1 to 67.15.63.25467.15.63.25516,382
6267.15.64.0/1867.15.64.1 to 67.15.127.25467.15.127.25516,382
6367.15.128.0/1867.15.128.1 to 67.15.191.25467.15.191.25516,382
6467.15.192.0/1867.15.192.1 to 67.15.255.25467.15.255.25516,382
6567.16.0.0/1867.16.0.1 to 67.16.63.25467.16.63.25516,382
6667.16.64.0/1867.16.64.1 to 67.16.127.25467.16.127.25516,382
6767.16.128.0/1867.16.128.1 to 67.16.191.25467.16.191.25516,382
6867.16.192.0/1867.16.192.1 to 67.16.255.25467.16.255.25516,382
6967.17.0.0/1867.17.0.1 to 67.17.63.25467.17.63.25516,382
7067.17.64.0/1867.17.64.1 to 67.17.127.25467.17.127.25516,382
7167.17.128.0/1867.17.128.1 to 67.17.191.25467.17.191.25516,382
7267.17.192.0/1867.17.192.1 to 67.17.255.25467.17.255.25516,382
7367.18.0.0/1867.18.0.1 to 67.18.63.25467.18.63.25516,382
7467.18.64.0/1867.18.64.1 to 67.18.127.25467.18.127.25516,382
7567.18.128.0/1867.18.128.1 to 67.18.191.25467.18.191.25516,382
7667.18.192.0/1867.18.192.1 to 67.18.255.25467.18.255.25516,382
7767.19.0.0/1867.19.0.1 to 67.19.63.25467.19.63.25516,382
7867.19.64.0/1867.19.64.1 to 67.19.127.25467.19.127.25516,382
7967.19.128.0/1867.19.128.1 to 67.19.191.25467.19.191.25516,382
8067.19.192.0/1867.19.192.1 to 67.19.255.25467.19.255.25516,382
8167.20.0.0/1867.20.0.1 to 67.20.63.25467.20.63.25516,382
8267.20.64.0/1867.20.64.1 to 67.20.127.25467.20.127.25516,382
8367.20.128.0/1867.20.128.1 to 67.20.191.25467.20.191.25516,382
8467.20.192.0/1867.20.192.1 to 67.20.255.25467.20.255.25516,382
8567.21.0.0/1867.21.0.1 to 67.21.63.25467.21.63.25516,382
8667.21.64.0/1867.21.64.1 to 67.21.127.25467.21.127.25516,382
8767.21.128.0/1867.21.128.1 to 67.21.191.25467.21.191.25516,382
8867.21.192.0/1867.21.192.1 to 67.21.255.25467.21.255.25516,382
8967.22.0.0/1867.22.0.1 to 67.22.63.25467.22.63.25516,382
9067.22.64.0/1867.22.64.1 to 67.22.127.25467.22.127.25516,382
9167.22.128.0/1867.22.128.1 to 67.22.191.25467.22.191.25516,382
9267.22.192.0/1867.22.192.1 to 67.22.255.25467.22.255.25516,382
9367.23.0.0/1867.23.0.1 to 67.23.63.25467.23.63.25516,382
9467.23.64.0/1867.23.64.1 to 67.23.127.25467.23.127.25516,382
9567.23.128.0/1867.23.128.1 to 67.23.191.25467.23.191.25516,382
9667.23.192.0/1867.23.192.1 to 67.23.255.25467.23.255.25516,382
9767.24.0.0/1867.24.0.1 to 67.24.63.25467.24.63.25516,382
9867.24.64.0/1867.24.64.1 to 67.24.127.25467.24.127.25516,382
9967.24.128.0/1867.24.128.1 to 67.24.191.25467.24.191.25516,382
10067.24.192.0/1867.24.192.1 to 67.24.255.25467.24.255.25516,382
10167.25.0.0/1867.25.0.1 to 67.25.63.25467.25.63.25516,382
10267.25.64.0/1867.25.64.1 to 67.25.127.25467.25.127.25516,382
10367.25.128.0/1867.25.128.1 to 67.25.191.25467.25.191.25516,382
10467.25.192.0/1867.25.192.1 to 67.25.255.25467.25.255.25516,382
10567.26.0.0/1867.26.0.1 to 67.26.63.25467.26.63.25516,382
10667.26.64.0/1867.26.64.1 to 67.26.127.25467.26.127.25516,382
10767.26.128.0/1867.26.128.1 to 67.26.191.25467.26.191.25516,382
10867.26.192.0/1867.26.192.1 to 67.26.255.25467.26.255.25516,382
10967.27.0.0/1867.27.0.1 to 67.27.63.25467.27.63.25516,382
11067.27.64.0/1867.27.64.1 to 67.27.127.25467.27.127.25516,382
11167.27.128.0/1867.27.128.1 to 67.27.191.25467.27.191.25516,382
11267.27.192.0/1867.27.192.1 to 67.27.255.25467.27.255.25516,382
11367.28.0.0/1867.28.0.1 to 67.28.63.25467.28.63.25516,382
11467.28.64.0/1867.28.64.1 to 67.28.127.25467.28.127.25516,382
11567.28.128.0/1867.28.128.1 to 67.28.191.25467.28.191.25516,382
11667.28.192.0/1867.28.192.1 to 67.28.255.25467.28.255.25516,382
11767.29.0.0/1867.29.0.1 to 67.29.63.25467.29.63.25516,382
11867.29.64.0/1867.29.64.1 to 67.29.127.25467.29.127.25516,382
11967.29.128.0/1867.29.128.1 to 67.29.191.25467.29.191.25516,382
12067.29.192.0/1867.29.192.1 to 67.29.255.25467.29.255.25516,382
12167.30.0.0/1867.30.0.1 to 67.30.63.25467.30.63.25516,382
12267.30.64.0/1867.30.64.1 to 67.30.127.25467.30.127.25516,382
12367.30.128.0/1867.30.128.1 to 67.30.191.25467.30.191.25516,382
12467.30.192.0/1867.30.192.1 to 67.30.255.25467.30.255.25516,382
12567.31.0.0/1867.31.0.1 to 67.31.63.25467.31.63.25516,382
12667.31.64.0/1867.31.64.1 to 67.31.127.25467.31.127.25516,382
12767.31.128.0/1867.31.128.1 to 67.31.191.25467.31.191.25516,382
12867.31.192.0/1867.31.192.1 to 67.31.255.25467.31.255.25516,382
12967.32.0.0/1867.32.0.1 to 67.32.63.25467.32.63.25516,382
13067.32.64.0/1867.32.64.1 to 67.32.127.25467.32.127.25516,382
13167.32.128.0/1867.32.128.1 to 67.32.191.25467.32.191.25516,382
13267.32.192.0/1867.32.192.1 to 67.32.255.25467.32.255.25516,382
13367.33.0.0/1867.33.0.1 to 67.33.63.25467.33.63.25516,382
13467.33.64.0/1867.33.64.1 to 67.33.127.25467.33.127.25516,382
13567.33.128.0/1867.33.128.1 to 67.33.191.25467.33.191.25516,382
13667.33.192.0/1867.33.192.1 to 67.33.255.25467.33.255.25516,382
13767.34.0.0/1867.34.0.1 to 67.34.63.25467.34.63.25516,382
13867.34.64.0/1867.34.64.1 to 67.34.127.25467.34.127.25516,382
13967.34.128.0/1867.34.128.1 to 67.34.191.25467.34.191.25516,382
14067.34.192.0/1867.34.192.1 to 67.34.255.25467.34.255.25516,382
14167.35.0.0/1867.35.0.1 to 67.35.63.25467.35.63.25516,382
14267.35.64.0/1867.35.64.1 to 67.35.127.25467.35.127.25516,382
14367.35.128.0/1867.35.128.1 to 67.35.191.25467.35.191.25516,382
14467.35.192.0/1867.35.192.1 to 67.35.255.25467.35.255.25516,382
14567.36.0.0/1867.36.0.1 to 67.36.63.25467.36.63.25516,382
14667.36.64.0/1867.36.64.1 to 67.36.127.25467.36.127.25516,382
14767.36.128.0/1867.36.128.1 to 67.36.191.25467.36.191.25516,382
14867.36.192.0/1867.36.192.1 to 67.36.255.25467.36.255.25516,382
14967.37.0.0/1867.37.0.1 to 67.37.63.25467.37.63.25516,382
15067.37.64.0/1867.37.64.1 to 67.37.127.25467.37.127.25516,382
15167.37.128.0/1867.37.128.1 to 67.37.191.25467.37.191.25516,382
15267.37.192.0/1867.37.192.1 to 67.37.255.25467.37.255.25516,382
15367.38.0.0/1867.38.0.1 to 67.38.63.25467.38.63.25516,382
15467.38.64.0/1867.38.64.1 to 67.38.127.25467.38.127.25516,382
15567.38.128.0/1867.38.128.1 to 67.38.191.25467.38.191.25516,382
15667.38.192.0/1867.38.192.1 to 67.38.255.25467.38.255.25516,382
15767.39.0.0/1867.39.0.1 to 67.39.63.25467.39.63.25516,382
15867.39.64.0/1867.39.64.1 to 67.39.127.25467.39.127.25516,382
15967.39.128.0/1867.39.128.1 to 67.39.191.25467.39.191.25516,382
16067.39.192.0/1867.39.192.1 to 67.39.255.25467.39.255.25516,382
16167.40.0.0/1867.40.0.1 to 67.40.63.25467.40.63.25516,382
16267.40.64.0/1867.40.64.1 to 67.40.127.25467.40.127.25516,382
16367.40.128.0/1867.40.128.1 to 67.40.191.25467.40.191.25516,382
16467.40.192.0/1867.40.192.1 to 67.40.255.25467.40.255.25516,382
16567.41.0.0/1867.41.0.1 to 67.41.63.25467.41.63.25516,382
16667.41.64.0/1867.41.64.1 to 67.41.127.25467.41.127.25516,382
16767.41.128.0/1867.41.128.1 to 67.41.191.25467.41.191.25516,382
16867.41.192.0/1867.41.192.1 to 67.41.255.25467.41.255.25516,382
16967.42.0.0/1867.42.0.1 to 67.42.63.25467.42.63.25516,382
17067.42.64.0/1867.42.64.1 to 67.42.127.25467.42.127.25516,382
17167.42.128.0/1867.42.128.1 to 67.42.191.25467.42.191.25516,382
17267.42.192.0/1867.42.192.1 to 67.42.255.25467.42.255.25516,382
17367.43.0.0/1867.43.0.1 to 67.43.63.25467.43.63.25516,382
17467.43.64.0/1867.43.64.1 to 67.43.127.25467.43.127.25516,382
17567.43.128.0/1867.43.128.1 to 67.43.191.25467.43.191.25516,382
17667.43.192.0/1867.43.192.1 to 67.43.255.25467.43.255.25516,382
17767.44.0.0/1867.44.0.1 to 67.44.63.25467.44.63.25516,382
17867.44.64.0/1867.44.64.1 to 67.44.127.25467.44.127.25516,382
17967.44.128.0/1867.44.128.1 to 67.44.191.25467.44.191.25516,382
18067.44.192.0/1867.44.192.1 to 67.44.255.25467.44.255.25516,382
18167.45.0.0/1867.45.0.1 to 67.45.63.25467.45.63.25516,382
18267.45.64.0/1867.45.64.1 to 67.45.127.25467.45.127.25516,382
18367.45.128.0/1867.45.128.1 to 67.45.191.25467.45.191.25516,382
18467.45.192.0/1867.45.192.1 to 67.45.255.25467.45.255.25516,382
18567.46.0.0/1867.46.0.1 to 67.46.63.25467.46.63.25516,382
18667.46.64.0/1867.46.64.1 to 67.46.127.25467.46.127.25516,382
18767.46.128.0/1867.46.128.1 to 67.46.191.25467.46.191.25516,382
18867.46.192.0/1867.46.192.1 to 67.46.255.25467.46.255.25516,382
18967.47.0.0/1867.47.0.1 to 67.47.63.25467.47.63.25516,382
19067.47.64.0/1867.47.64.1 to 67.47.127.25467.47.127.25516,382
19167.47.128.0/1867.47.128.1 to 67.47.191.25467.47.191.25516,382
19267.47.192.0/1867.47.192.1 to 67.47.255.25467.47.255.25516,382
19367.48.0.0/1867.48.0.1 to 67.48.63.25467.48.63.25516,382
19467.48.64.0/1867.48.64.1 to 67.48.127.25467.48.127.25516,382
19567.48.128.0/1867.48.128.1 to 67.48.191.25467.48.191.25516,382
19667.48.192.0/1867.48.192.1 to 67.48.255.25467.48.255.25516,382
19767.49.0.0/1867.49.0.1 to 67.49.63.25467.49.63.25516,382
19867.49.64.0/1867.49.64.1 to 67.49.127.25467.49.127.25516,382
19967.49.128.0/1867.49.128.1 to 67.49.191.25467.49.191.25516,382
20067.49.192.0/1867.49.192.1 to 67.49.255.25467.49.255.25516,382
20167.50.0.0/1867.50.0.1 to 67.50.63.25467.50.63.25516,382
20267.50.64.0/1867.50.64.1 to 67.50.127.25467.50.127.25516,382
20367.50.128.0/1867.50.128.1 to 67.50.191.25467.50.191.25516,382
20467.50.192.0/1867.50.192.1 to 67.50.255.25467.50.255.25516,382
20567.51.0.0/1867.51.0.1 to 67.51.63.25467.51.63.25516,382
20667.51.64.0/1867.51.64.1 to 67.51.127.25467.51.127.25516,382
20767.51.128.0/1867.51.128.1 to 67.51.191.25467.51.191.25516,382
20867.51.192.0/1867.51.192.1 to 67.51.255.25467.51.255.25516,382
20967.52.0.0/1867.52.0.1 to 67.52.63.25467.52.63.25516,382
21067.52.64.0/1867.52.64.1 to 67.52.127.25467.52.127.25516,382
21167.52.128.0/1867.52.128.1 to 67.52.191.25467.52.191.25516,382
21267.52.192.0/1867.52.192.1 to 67.52.255.25467.52.255.25516,382
21367.53.0.0/1867.53.0.1 to 67.53.63.25467.53.63.25516,382
21467.53.64.0/1867.53.64.1 to 67.53.127.25467.53.127.25516,382
21567.53.128.0/1867.53.128.1 to 67.53.191.25467.53.191.25516,382
21667.53.192.0/1867.53.192.1 to 67.53.255.25467.53.255.25516,382
21767.54.0.0/1867.54.0.1 to 67.54.63.25467.54.63.25516,382
21867.54.64.0/1867.54.64.1 to 67.54.127.25467.54.127.25516,382
21967.54.128.0/1867.54.128.1 to 67.54.191.25467.54.191.25516,382
22067.54.192.0/1867.54.192.1 to 67.54.255.25467.54.255.25516,382
22167.55.0.0/1867.55.0.1 to 67.55.63.25467.55.63.25516,382
22267.55.64.0/1867.55.64.1 to 67.55.127.25467.55.127.25516,382
22367.55.128.0/1867.55.128.1 to 67.55.191.25467.55.191.25516,382
22467.55.192.0/1867.55.192.1 to 67.55.255.25467.55.255.25516,382
22567.56.0.0/1867.56.0.1 to 67.56.63.25467.56.63.25516,382
22667.56.64.0/1867.56.64.1 to 67.56.127.25467.56.127.25516,382
22767.56.128.0/1867.56.128.1 to 67.56.191.25467.56.191.25516,382
22867.56.192.0/1867.56.192.1 to 67.56.255.25467.56.255.25516,382
22967.57.0.0/1867.57.0.1 to 67.57.63.25467.57.63.25516,382
23067.57.64.0/1867.57.64.1 to 67.57.127.25467.57.127.25516,382
23167.57.128.0/1867.57.128.1 to 67.57.191.25467.57.191.25516,382
23267.57.192.0/1867.57.192.1 to 67.57.255.25467.57.255.25516,382
23367.58.0.0/1867.58.0.1 to 67.58.63.25467.58.63.25516,382
23467.58.64.0/1867.58.64.1 to 67.58.127.25467.58.127.25516,382
23567.58.128.0/1867.58.128.1 to 67.58.191.25467.58.191.25516,382
23667.58.192.0/1867.58.192.1 to 67.58.255.25467.58.255.25516,382
23767.59.0.0/1867.59.0.1 to 67.59.63.25467.59.63.25516,382
23867.59.64.0/1867.59.64.1 to 67.59.127.25467.59.127.25516,382
23967.59.128.0/1867.59.128.1 to 67.59.191.25467.59.191.25516,382
24067.59.192.0/1867.59.192.1 to 67.59.255.25467.59.255.25516,382
24167.60.0.0/1867.60.0.1 to 67.60.63.25467.60.63.25516,382
24267.60.64.0/1867.60.64.1 to 67.60.127.25467.60.127.25516,382
24367.60.128.0/1867.60.128.1 to 67.60.191.25467.60.191.25516,382
24467.60.192.0/1867.60.192.1 to 67.60.255.25467.60.255.25516,382
24567.61.0.0/1867.61.0.1 to 67.61.63.25467.61.63.25516,382
24667.61.64.0/1867.61.64.1 to 67.61.127.25467.61.127.25516,382
24767.61.128.0/1867.61.128.1 to 67.61.191.25467.61.191.25516,382
24867.61.192.0/1867.61.192.1 to 67.61.255.25467.61.255.25516,382
24967.62.0.0/1867.62.0.1 to 67.62.63.25467.62.63.25516,382
25067.62.64.0/1867.62.64.1 to 67.62.127.25467.62.127.25516,382
25167.62.128.0/1867.62.128.1 to 67.62.191.25467.62.191.25516,382
25267.62.192.0/1867.62.192.1 to 67.62.255.25467.62.255.25516,382
25367.63.0.0/1867.63.0.1 to 67.63.63.25467.63.63.25516,382
25467.63.64.0/1867.63.64.1 to 67.63.127.25467.63.127.25516,382
25567.63.128.0/1867.63.128.1 to 67.63.191.25467.63.191.25516,382
25667.63.192.0/1867.63.192.1 to 67.63.255.25467.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses